org.apache.poi.xddf.usermodel.chart

## Class XDDFBar3DChartData

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFChartData
  - - org.apache.poi.xddf.usermodel.chart.XDDFBar3DChartData

-     @Beta
      public class XDDFBar3DChartData
      extends XDDFChartData

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XDDFBar3DChartData.Series`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xddf.usermodel.chart.XDDFChartData

      `parent, series`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFBar3DChartData(XDDFChart parent, org.openxmlformats.schemas.drawingml.x2006.chart.CTBar3DChart chart, java.util.Map<java.lang.Long,XDDFChartAxis> categories, java.util.Map<java.lang.Long,XDDFValueAxis> values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFChartData.Series` | `addSeries(XDDFDataSource<?> category, XDDFNumericalDataSource<? extends java.lang.Number> values)`
    `BarDirection` | `getBarDirection()`
    `BarGrouping` | `getBarGrouping()`
    `java.lang.Integer` | `getGapDepth()`
    `java.lang.Integer` | `getGapWidth()`
    `Shape` | `getShape()`
    `protected void` | `removeCTSeries(int n)` This method should be implemented in every class that extends `XDDFChartData`.
    `void` | `setBarDirection(BarDirection direction)`
    `void` | `setBarGrouping(BarGrouping grouping)`
    `void` | `setGapDepth(java.lang.Integer depth)`
    `void` | `setGapWidth(java.lang.Integer width)`
    `void` | `setShape(Shape shape)`
    `void` | `setVaryColors(java.lang.Boolean varyColors)`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.chart.XDDFChartData

      `defineAxes, getCategoryAxis, getSeries, getSeries, getSeriesCount, getValueAxes, removeSeries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFBar3DChartData

          @Internal
          protected XDDFBar3DChartData(XDDFChart parent,
                                                 org.openxmlformats.schemas.drawingml.x2006.chart.CTBar3DChart chart,
                                                 java.util.Map<java.lang.Long,XDDFChartAxis> categories,
                                                 java.util.Map<java.lang.Long,XDDFValueAxis> values)

  - ### Method Detail

    - #### removeCTSeries

          @Internal
          protected void removeCTSeries(int n)

      Description copied from class: `XDDFChartData`
      This method should be implemented in every class that extends `XDDFChartData`.

      A typical implementation would be

              protected void removeCTSeries(int n) {
                  chart.removeSer(n);
              }

      Specified by:
        `removeCTSeries` in class `XDDFChartData`

    - #### setVaryColors

          public void setVaryColors(java.lang.Boolean varyColors)

      Specified by:
        `setVaryColors` in class `XDDFChartData`

    - #### getBarDirection

          public BarDirection getBarDirection()

    - #### setBarDirection

          public void setBarDirection(BarDirection direction)

    - #### getBarGrouping

          public BarGrouping getBarGrouping()

    - #### setBarGrouping

          public void setBarGrouping(BarGrouping grouping)

    - #### getGapDepth

          public java.lang.Integer getGapDepth()

    - #### setGapDepth

          public void setGapDepth(java.lang.Integer depth)

    - #### getGapWidth

          public java.lang.Integer getGapWidth()

    - #### setGapWidth

          public void setGapWidth(java.lang.Integer width)

    - #### getShape

          public Shape getShape()

    - #### setShape

          public void setShape(Shape shape)

    - #### addSeries

          public XDDFChartData.Series addSeries(XDDFDataSource<?> category,
                                                XDDFNumericalDataSource<? extends java.lang.Number> values)

      Specified by:
        `addSeries` in class `XDDFChartData`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.